Name:           perl-CAM-PDF
Version:        1.60
Release:        1%{?dist}
Summary:        PDF manipulation library
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/CAM-PDF/
Source0:        http://www.cpan.org/authors/id/C/CD/CDOLAN/CAM-PDF-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 1:v5.6.0
BuildRequires:  perl(Crypt::RC4) >= 2.02
BuildRequires:  perl(Digest::MD5) >= 2.16
BuildRequires:  perl(Getopt::Long) >= 2.0
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Pod::Usage) >= 1.0
BuildRequires:  perl(Test::Memory::Cycle) >= 1.02
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Pod::Coverage)
BuildRequires:  perl(Text::PDF) >= 0.29
BuildRequires:  perl-macros
BuildRequires:  perl-generators
Requires:       perl(Crypt::RC4) >= 2.02
Requires:       perl(Digest::MD5) >= 2.16
Requires:       perl(Getopt::Long) >= 2.0
Requires:       perl(Pod::Usage) >= 1.0
Requires:       perl(Test::Memory::Cycle) >= 1.02
Requires:       perl(Test::Pod)
Requires:       perl(Test::Pod::Coverage)
Requires:       perl(Text::PDF) >= 0.29
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This package reads and writes any document that conforms to the PDF
specification generously provided by Adobe at
http://partners.adobe.com/public/developer/pdf/index_reference.html (link
last checked Oct 2005).

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name

%prep
%setup -q -n CAM-PDF-%{version}

%build
%{__perl} Build.PL --installdirs=vendor
./Build

%install
rm -rf $RPM_BUILD_ROOT

./Build install --destdir=$RPM_BUILD_ROOT --create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc CHANGES LICENSE META.json README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%files scripts
%{_mandir}/man1/*
%{_bindir}/*

%changelog
* Sat Apr 08 2023 Luigi Iotti 1.60-1
- Specfile autogenerated by cpanspec 1.78.
